com.h3c.util.snmp

## Enum SnmpPdu.ErrorType

- java.lang.Object
- - java.lang.Enum<SnmpPdu.ErrorType>
  - - com.h3c.util.snmp.SnmpPdu.ErrorType

- All Implemented Interfaces:
    Serializable, Comparable<SnmpPdu.ErrorType>
  Enclosing class:
    SnmpPdu

      public static enum SnmpPdu.ErrorType
      extends Enum<SnmpPdu.ErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PDU_AUTHORIZATION_ERRROR`
    `PDU_BAD_VALUE`
    `PDU_COMMIT_FAILED`
    `PDU_GENERAL_ERROR`
    `PDU_INCONSISTENT_NAME`
    `PDU_INCONSISTENT_VALUE`
    `PDU_NO_ACCESS`
    `PDU_NO_CREATION`
    `PDU_NO_ERROR`
    `PDU_NO_SUCH_NAME`
    `PDU_NOT_INITIALIZED`
    `PDU_NOT_WRITABLE`
    `PDU_READ_ONLY`
    `PDU_RESOURCE_UNAVAILABLE`
    `PDU_TOO_BIG`
    `PDU_UNDO_FAILED`
    `PDU_WRONG_ENCODING`
    `PDU_WRONG_LENGTH`
    `PDU_WRONG_TYPE`
    `PDU_WRONG_VALUE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SnmpPdu.ErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SnmpPdu.ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PDU_NOT_INITIALIZED

          public static final SnmpPdu.ErrorType PDU_NOT_INITIALIZED

    - #### PDU_NO_ERROR

          public static final SnmpPdu.ErrorType PDU_NO_ERROR

    - #### PDU_TOO_BIG

          public static final SnmpPdu.ErrorType PDU_TOO_BIG

    - #### PDU_NO_SUCH_NAME

          public static final SnmpPdu.ErrorType PDU_NO_SUCH_NAME

    - #### PDU_BAD_VALUE

          public static final SnmpPdu.ErrorType PDU_BAD_VALUE

    - #### PDU_READ_ONLY

          public static final SnmpPdu.ErrorType PDU_READ_ONLY

    - #### PDU_GENERAL_ERROR

          public static final SnmpPdu.ErrorType PDU_GENERAL_ERROR

    - #### PDU_NO_ACCESS

          public static final SnmpPdu.ErrorType PDU_NO_ACCESS

    - #### PDU_WRONG_TYPE

          public static final SnmpPdu.ErrorType PDU_WRONG_TYPE

    - #### PDU_WRONG_LENGTH

          public static final SnmpPdu.ErrorType PDU_WRONG_LENGTH

    - #### PDU_WRONG_ENCODING

          public static final SnmpPdu.ErrorType PDU_WRONG_ENCODING

    - #### PDU_WRONG_VALUE

          public static final SnmpPdu.ErrorType PDU_WRONG_VALUE

    - #### PDU_NO_CREATION

          public static final SnmpPdu.ErrorType PDU_NO_CREATION

    - #### PDU_INCONSISTENT_VALUE

          public static final SnmpPdu.ErrorType PDU_INCONSISTENT_VALUE

    - #### PDU_RESOURCE_UNAVAILABLE

          public static final SnmpPdu.ErrorType PDU_RESOURCE_UNAVAILABLE

    - #### PDU_COMMIT_FAILED

          public static final SnmpPdu.ErrorType PDU_COMMIT_FAILED

    - #### PDU_UNDO_FAILED

          public static final SnmpPdu.ErrorType PDU_UNDO_FAILED

    - #### PDU_AUTHORIZATION_ERRROR

          public static final SnmpPdu.ErrorType PDU_AUTHORIZATION_ERRROR

    - #### PDU_NOT_WRITABLE

          public static final SnmpPdu.ErrorType PDU_NOT_WRITABLE

    - #### PDU_INCONSISTENT_NAME

          public static final SnmpPdu.ErrorType PDU_INCONSISTENT_NAME

  - ### Method Detail

    - #### values

          public static SnmpPdu.ErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnmpPdu.ErrorType c : SnmpPdu.ErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnmpPdu.ErrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.